Tickets

List tickets

Retrieve tickets from your Applied workspace. Use filters to narrow results by conversation, assignee, agent, priority, label, or created date.

GET/v2026-04/tickets/

Usage

Start from this cURL example and add filters as needed.

cURL
curl -X GET https://core.appliedlabs.ai/v2026-04/tickets/ \
  -H "Authorization: Bearer <api-token>" \
  -H "X-Shop-Id: 66e4c4d2-34e8-4f85-8f51-84b6ed7b5f10"

Authorizations

Authorizationstringheaderrequired

Send your Applied API key as Authorization: Bearer AL.... Create the key in the Applied dashboard and keep it on your server.

Query parameters

agent_idstring · uuid

Only return tickets assigned to this agent.

assignee_idstring · uuid

Only return tickets assigned to this teammate.

conversation_idstring · uuid

Only return tickets linked to this conversation.

conversation_id__inarray

Only return tickets linked to these conversations. Separate values with commas.

created_at__rangestring

Only return records created during this time window. Use 'relative:-7d,' for the last 7 days, or '2026-04-01T00:00:00Z,2026-04-07T23:59:59Z' for a custom start and end time. The maximum window is 30 days.

cursorstring

Use the cursor from a previous next or previous link to move through the results.

idstring · uuid

Only return this ticket.

label_idstring · uuid

Only return tickets with this label.

limitinteger

How many results to return in this page.

priorityinteger

Only return tickets with this priority number.

priority__inarray

Only return tickets with these priority numbers. Separate values with commas.

Header parameters

X-Shop-Idstring · uuidrequired

The shop whose data you want to read.

Response

A page of tickets.

nextstring · uri | null
previousstring · uri | null
resultsarrayrequired
results.agent_idstring · uuid | nullrequired
results.assignee_idstring · uuid | nullrequired
results.completed_atstring · date-time | null
results.contact_idstring · uuid | nullrequired
results.conversation_idstring · uuid | nullrequired
results.created_atstring · date-timerequired
results.idstring · uuidrequired
results.is_testboolean | null
results.label_idstring · uuid | nullrequired
results.last_message_atstring · date-time | null
results.last_message_contentstring
results.message_idstring · uuid | nullrequired
results.namestringrequired
results.numberintegerrequired
results.priorityinteger
results.remote_idstring | null
results.remote_platformstring | null
results.statusenum<string>

Current ticket status.

NewOpenCompletedArchivedWaitingUserWaitingContact
results.sublabel_idstring · uuid | nullrequired
results.summarystring
results.updated_atstring · date-timerequired
{
  "next": "https://core.appliedlabs.ai/v2026-04/tickets/?cursor=next-cursor-token",
  "previous": "https://core.appliedlabs.ai/v2026-04/tickets/?cursor=previous-cursor-token",
  "results": [
    {
      "agent_id": "33333333-3333-4333-8333-333333333333",
      "assignee_id": "44444444-4444-4444-8444-444444444444",
      "completed_at": "2026-04-07T16:00:00Z",
      "contact_id": "11111111-1111-4111-8111-111111111111",
      "conversation_id": "55555555-5555-4555-8555-555555555555",
      "created_at": "2026-04-07T14:30:00Z",
      "id": "77777777-7777-4777-8777-777777777777",
      "is_test": false,
      "label_id": "88888888-8888-4888-8888-888888888888",
      "last_message_at": "2026-04-07T15:12:00Z",
      "last_message_content": "Former deep wrong push join night laugh always fight.",
      "message_id": "66666666-6666-4666-8666-666666666666",
      "name": "Capital upon hold law",
      "number": 1042,
      "priority": 2,
      "remote_id": "ticket_2858soqd",
      "remote_platform": "zendesk",
      "status": "Open",
      "sublabel_id": "99999999-9999-4999-8999-999999999999",
      "summary": "Box either career law difficult every factor kid forget even become rock.",
      "updated_at": "2026-04-07T15:12:00Z"
    }
  ]
}